<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\WssField;

class WssFieldKursplanungEnde extends WssField
{
  protected function getFieldBearbeitbar($datamodulWert, $isFormular, string $requestPrefix = '')
  {
    $feld = parent::getFieldBearbeitbar($datamodulWert, $isFormular, $requestPrefix);
    $hinterlegung = $this->getHinterlegung(isset($datamodulWert->showBeginnHinterlegungsButton) && $datamodulWert->showBeginnHinterlegungsButton, isset($datamodulWert->showEndeHinterlegungsButton) && $datamodulWert->showEndeHinterlegungsButton);

    return $feld . $hinterlegung;
  }

  protected function getHinterlegung($pShowHinterlegungBeginn, $pShowHinterlegungEnde)
  {
    $buttonStyle = 'position: absolute; right: 20px; top: -3px; font-size: 27px; color: #555; cursor:pointer;';
    if ($pShowHinterlegungBeginn && $pShowHinterlegungEnde) {
      $inputIds = array($this->datamodulColumn->datamodul . '_beginn', $this->datamodulColumn->datamodul . '_ende');

      return \PageButtonsAPI::getHinterlegungSymbol(\HLDispatcher::HL_UHRZEITEN_STANDARD_DIALOG, $inputIds, 'button_hl_beginn', $buttonStyle, 'hlbeginn_div', 'Beginn', 300, 300);
    } elseif ($pShowHinterlegungEnde) {
      $inputIds = array($this->datamodulColumn->datamodul . '_ende');

      return \PageButtonsAPI::getHinterlegungSymbol(\HLDispatcher::HL_UHRZEITENBIS_DIALOG, $inputIds, 'button_hl_beginn', $buttonStyle, 'hlbeginn_div', 'Beginn', 300, 300);
    }

    return '';
  }
}